package SAPDB::Install::Window::DBList;

use base SAPDB::Install::Window::ItemList;
use SAPDB::Install::Grid::CellDBEditor;

our @cols = (	
		{
			'key' => 'name',
			'label' => 'Database Name',
			'editor' => 'SAPDB::Install::Grid::CellDBEditor'
		},
		{
			'key' => 'path',
			'label' => 'Software Path'
		},
		{
			'key' => 'version',
			'label' => 'Software Version'
		},
#		{
#			'key' => 'state',
#			'label' => 'DB State'
#		}
);

sub ShowEditors{
	my ($self) = @_;
	$self->SUPER::ShowEditors(0);
}

sub Destroy{
	my ($self) = @_;
	if (defined $self->{'grid'}){
		foreach my $row (0 .. ($self->{'grid'}->GetNumberRows - 1)){
			my $editor = $self->{'grid'}->GetCellEditor($row,0);
			next unless defined $editor;
			$editor->Destroy();
		}
	}
	
	$self->SUPER::Destroy;
}



1;