#!/usr/bin/perl
#
# $Header: //sapdb/V76/develop/sys/src/install/perl/SAPDB/Install/App.pm#1 $
# $DateTime: 2004/03/11 10:29:37 $
# $Change: 66919 $
#
# Desc: start SAP DB installation/update/patch/instanceupgrade, called by SDBINST/SDBUPD


package SAPDB::Install::App::ControlCenter;

use SAPDB::Install::Cleaner;
use SAPDB::Install::LoadWx;
use SAPDB::Install::Frame::Desktop;

our @ISA = qw (Wx::App);

# this is called automatically on object creation
sub OnInit {
  my( $this ) = @_;



  # create new MyFrame
  my( $frame ) = SAPDB::Install::Frame::Desktop->new( "MaxDB Installation Control Center",
			       Wx::Point->new( 50, 50 ),
			       Wx::Size->new( 800, 400 )
                             );
  


# set it as top window (so the app will automatically close when
  # the last top window is closed)
  $this->SetTopWindow( $frame );
  # show the frame
  #$frame->Show( 1 );
  1;

}

local $app;

sub main{
	( $app ) = SAPDB::Install::App::ControlCenter->new();
  
   #start processing events
   local $cleaner = SAPDB::Install::Cleaner->new();
   $app->MainLoop();
	return 1;
}

1;
